Redmine - Defect #26708

Diff formatting results empty lines if they contains HTML tags
2017-08-16 22:48 - Robert Korulczyk

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 4.0.0

Resolution: Fixed Affected version: 3.34
Description

Steps to reproduce:

In issue description write something like (need to remove space in < /pre>):
<pre><code class="diff">

-—— a/test.php

+++ b/test.php

@R -329,7 +329,7 @@

—echo '<div></div>"';
+echo '<div id="test"></div>"';

</code>< /pre>

Expected result:

Proper diff.

What | get:

Related issues:
Related to Redmine - Feature #24681: Syntax highlighter: replace CodeRay with... Closed

History

#1 - 2017-08-16 22:49 - Robert Korulczyk

Live example:

-—— a/test.php
+++ b/test.php
@@ -329,7 +329,7 @@

—echo '<div></div>"';
+echo '<div id="test"></div>"';

#2 - 2018-09-29 23:53 - Marius BALTEANU
- File after.png added
- File before.png added

- Status changed from New to Closed
- Target version set to 4.0.0

- Resolution set to Fixed

Fixed by the migration to Rouge (#24681).

using CodeRay:
before.png

after migration to Rouge:
after.png

#3 - 2018-09-29 23:53 - Marius BALTEANU
- Related to Feature #24681: Syntax highlighter: replace CodeRay with Rouge added

Files

058577fc.png 3.25 KB 2017-08-16 Robert Korulczyk
before.png 64.5 KB 2018-09-29 Marius BALTEANU
after.png 76.5 KB 2018-09-29 Marius BALTEANU
https://www.redmine.org/issues/24681
http://www.tcpdf.org

